Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ECG_Address_Server_Base Class Reference

All implementations of RtecUDPAdmin::AddrServer idl interface should inherit from this abstract base. More...

`#include <ECG_Address_Server_Base.h>`

List of all members.

## Public Methods
virtual int | init (const char *arg)=0

## Detailed Description

All implementations of RtecUDPAdmin::AddrServer idl interface should inherit from this abstract base.

Adds init () virtual method so that all AddrServer implementations can be initialized in the same fasion.

## Member Function Documentation

virtual int TAO_ECG_Address_Server_Base::init | ( | const char * | arg | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- ECG_Address_Server_Base.h